---
title: "Get stock details for a company"
url: "https://developer.argaam.com/apis/market-data-layer-api-production-v1/versions/ca86b5b0-4709-486f-b41b-f80ad96b0d25/operations/getCompaniesByStockSymbolStock"
---

> Full API specification: https://developer.argaam.com/apis/market-data-layer-api-production-v1/versions/ca86b5b0-4709-486f-b41b-f80ad96b0d25.md

# Get stock details for a company

`GET` `/api/v1.1/companies/{stockSymbol}/stock`

Operation ID: `getCompaniesByStockSymbolStock`

Returns the stock details for the company identified by `stockSymbol`.

## Path parameters

- `stockSymbol` (string, required) - Tadawul stock symbol of the company, e.g. `2222` (Saudi Aramco).

## Query parameters

- `marketId` (integer, int32, optional) - Numeric market identifier (e.g. `1` = Tadawul / Saudi main market). Use `GET /api/v1.1/markets` to list valid values.

## Responses

- `200` - Success

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Market Data Layer API
  version: v1.1
servers:
  - url: https://api.argaam.com
    description: Argaam API Gateway (Production)
paths:
  /api/v1.1/companies/{stockSymbol}/stock:
    get:
      tags:
        - Companies
      parameters:
        - name: stockSymbol
          in: path
          required: true
          schema:
            type: string
          example: "2222"
          description: Tadawul stock symbol of the company, e.g. `2222` (Saudi Aramco).
        - name: marketId
          in: query
          schema:
            type: integer
            format: int32
            default: 3
          example: 3
          description: Numeric market identifier (e.g. `1` = Tadawul / Saudi main market).
            Use `GET /api/v1.1/markets` to list valid values.
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ApiV1Response"
      summary: Get stock details for a company
      description: Returns the stock details for the company identified by `stockSymbol`.
      operationId: getCompaniesByStockSymbolStock
security:
  - ApiKeyAuth: []
components:
  schemas:
    ApiV1Response:
      type: object
      properties:
        success:
          type: boolean
        apiVersion:
          type: string
          nullable: true
        timestamp:
          type: string
          format: date-time
        requestId:
          type: string
          nullable: true
        data:
          nullable: true
        meta:
          $ref: "#/components/schemas/ApiV1Meta"
        rateLimit:
          $ref: "#/components/schemas/ApiV1RateLimit"
      additionalProperties: false
    ApiV1Meta:
      type: object
      properties:
        page:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        totalRecords:
          type: integer
          format: int32
        totalPages:
          type: integer
          format: int32
          readOnly: true
        hasNextPage:
          type: boolean
          readOnly: true
        hasPreviousPage:
          type: boolean
          readOnly: true
      additionalProperties: false
    ApiV1RateLimit:
      type: object
      properties:
        limit:
          type: integer
          format: int32
        remaining:
          type: integer
          format: int32
        reset:
          type: string
          format: date-time
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
```
